<?php
 /** 
 * @version		
 * @package		Kilmeny.net
 * @subpackage	
 * @copyright	Copyright (C) 2011 Kilmeny.net. All rights reserved.
 * @license		GNU General Public License version 2 or later. 
 **/
// No direct access.
defined('_JEXEC') or die;

function modChrome_ecsiteDivision($module, &$params, &$attribs)	{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	if (!empty ($module->content)) { ?>
		<div class="moduletable<?php echo htmlspecialchars($params->get('moduleclass_sfx')); ?>">
		<?php if ($module->showtitle) { ?>
			<h<?php echo $headerLevel; ?>><span class="backh"><span class="backh2"><span class="backh3">
			<?php echo $module->title; ?></span></span></span></h<?php echo $headerLevel; ?>>
		<?php }; ?> <?php echo $module->content; ?></div>
	<?php };
}

function modChrome_ecsiteHide($module, &$params, &$attribs)	{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	$state=isset($attribs['state']) ? (int) $attribs['state'] :0;
	if (!empty ($module->content)) { ?>
		<div class="moduletable_js <?php echo htmlspecialchars($params->get('moduleclass_sfx'));?>">
			<?php if ($module->showtitle) : ?>
				<h<?php echo $headerLevel; ?> class="js_heading"><span class="backh"> <span class="backh1">
				<?php echo $module->title; ?> <a href="#" title="<?php echo JText::_('TPL_ECSITE_CLICK'); ?>" 
				onclick="auf('module_<?php echo $module->id; ?>'); return false" class="opencloselink" id="link_<?php echo $module->id?>">
				<span class="no"><img src="templates/ecsite/images/plus.png"	
				alt="<?php if ($state == 1) { echo JText::_('TPL_ECSITE_ALTOPEN');} else {echo JText::_('TPL_ECSITE_ALTCLOSE');} ?>" />
				</span></a></span></span></h<?php echo $headerLevel; ?>><?php endif; ?>
			<div class="module_content <?php if ($state==1){echo "open";} ?>"
			id="module_<?php echo $module->id; ?>" tabindex="-1"><?php echo $module->content; ?></div>
		</div>
	<?php }
}


function modChrome_ecsiteTabs($module, $params, $attribs)	{
	$area = isset($attribs['id']) ? (int) $attribs['id'] :'1';
	$area = 'area-'.$area;
	static $modulecount;
	static $modules;
	
	if ($modulecount < 1) {
		$modulecount = count(JModuleHelper::getModules($attribs['name']));
		$modules = array();
	}
	
	if ($modulecount == 1) {
		$temp = new stdClass();
		$temp->content = $module->content;
		$temp->title = $module->title;
		$temp->params = $module->params;
		$temp->id=$module->id;
		$modules[] = $temp;
		// list of moduletitles
		// list of moduletitles
		echo '<div id="'. $area.'" class="tabouter"><ul class="tabs">';

		foreach($modules as $rendermodule) {
			echo '<li class="tab"><a href="#" id="link_'.$rendermodule->id.'"class="linkopen" 
			onclick="tabshow(\'module_'. $rendermodule->id.'\');return false">'.$rendermodule->title.'</a></li>';
		}	
		echo '</ul>';
		$counter=0;
		// modulecontent
		foreach($modules as $rendermodule) {
			$counter ++;
			echo '<div tabindex="-1" class="tabcontent tabopen" id="module_'.$rendermodule->id.'">';
			echo $rendermodule->content;
			if ($counter!= count($modules))	{
			echo '<a href="#" class="unseen" onclick="nexttab(\'module_'. $rendermodule->id.'\');return false;" 
			id="next_'.$rendermodule->id.'">'.JText::_('TPL_ECSITE_NEXTTAB').'</a>';
			}
			echo '</div>';
		}
		$modulecount--;
		echo '</div>';
	} else {
		$temp = new stdClass();
		$temp->content = $module->content;
		$temp->params = $module->params;
		$temp->title = $module->title;
		$temp->id = $module->id;
		$modules[] = $temp;
		$modulecount--;
	}
}

/*
function modChrome_ecsiteMenu($module, &$params, &$attribs)	{
	$sfx = ($params->get('moduleclass_sfx')) ? htmlspecialchars($params->get('moduleclass_sfx')) : '_ecsitemenu';
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	if (!empty ($module->content))	{
		echo '<div class="moduletable'.$sfx.'">';
			echo '<div><div><div>';
				if ($module->showtitle) echo $module->title;
				echo $module->content;
				//if ($module->showtitle) modChrome_ecsiteTitleOpacity($module, $attribs);
				//modChrome_ecsiteContentOpacity($module);
			echo '</div></div></div>';
		echo "</div>";
	}
}	

function modChrome_ecsiteTitleOpacity($module, &$attribs)	{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	static $css=false;
	if (!$css)	{ 
		$css = true; $doc = JFactory::getDocument();
		$doc->addStyleDeclaration(".mod-ecsite-title {opacity: 0.8; filter: alpha(opacity=80);}");
	}
	echo '<h'.$headerLevel.'/><div class="mod-ecsite-title">'.$module->title.'</div></h'.$headerLevel.'>';
}

function modChrome_ecsiteContentOpacity($module)	{
	static $css=false;
	if (!$css)	{ $css = true; $doc = JFactory::getDocument();
		$doc->addStyleDeclaration(".mod-ecsite-content {opacity: 0.5; filter: alpha(opacity=50);}");
	}
	echo '<div class="mod-ecsite-content">'.$module->content.'</div>';
}

function modChrome_ecsiteClassic($module, &$params, &$attribs)	{
	$headerLevel = isset($attribs['headerLevel']) ? (int) $attribs['headerLevel'] : 3;
	if (!empty ($module->content))	{
		echo '<div class="moduletable'.htmlspecialchars($params->get('moduleclass_sfx')).'">';
			//if ($module->showtitle) echo '<h'.$headerLevel.'/><span class="backh"><span class="backh2">'.
			//'<span class="backh3">'.$module->title.'</span></span></span></h'.$headerLevel.'>';
				if ($module->showtitle) echo '<h'.$headerLevel.'/>'.$module->title.'</h'.$headerLevel.'>';
				echo $module->content;
		echo "</div>";
	}
}
*/