<?php 
 /** 
 * @version		
 * @package		Kilmeny.net
 * @subpackage	
 * @copyright	Copyright (C) 2011 Kilmeny.net. All rights reserved.
 * @license		GNU General Public License version 2 or later. 
 **/
// No direct access.
defined('_JEXEC') or die;
// check modules
$showleft = ($this->countModules('left1') or $this->countModules('left2') or $this->countModules('left3'));
$showRightColumn = ($this->countModules('right1') or $this->countModules('right2') or $this->countModules('right3'));
$showbottom = ($this->countModules('bottom1') or $this->countModules('bottom2') or $this->countModules('bottom3'));
if ($showRightColumn==0 and $showleft==0) { $showno = 0; }
JHtml::_('behavior.framework', true);
// get params
$color              = $this->params->get('templatecolor');
$logo               = $this->params->get('logo');
$navposition        = $this->params->get('navposition');
$app                = JFactory::getApplication();
$doc				= JFactory::getDocument();
$templateparams     = $app->getTemplate(true)->params;
$tmplName	= $app->getTemplate();
$doc->addScript($this->baseurl.'/templates/'.$tmplName.'/javascript/md_stylechanger.js', 'text/javascript', true);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >



<head>
	<jdoc:include type="head" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/position.css" type="text/css" media="screen,projection" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/layout.css" type="text/css" media="screen,projection" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/print.css" type="text/css" media="print" />
		<?php 
			$files = JHtml::_('stylesheet','templates/'.$tmplName.'/css/general.css',null,false,true);
			if ($files):
				if (!is_array($files)):
					$files = array($files);
				endif;
				foreach($files as $file): ?>
		<link rel="stylesheet" href="<?php echo $file;?>" type="text/css" />
			<?php 
				endforeach;
        	endif;
       	?>
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/<?php echo htmlspecialchars($color); ?>.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/<?php echo htmlspecialchars($tmplName); ?>.css" type="text/css" />
		<?php if ($this->direction == 'rtl') : ?>
			<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/template_rtl.css" type="text/css" />
			<?php if (file_exists(JPATH_SITE. DS . '/templates/'.$tmplName.'/css/' . $color . '_rtl.css')) :?>
				<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/<?php echo $color ?>_rtl.css" type="text/css" />
			<?php endif; ?>
		<?php endif; ?>

		<!--[if lte IE 6]>
			<link href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/ieonly.css" rel="stylesheet" type="text/css" />
			<?php if ($color=="ecsite") : ?>
				<style type="text/css">
					#line { width:98% ; }
					.logoheader { height:200px; }
					#header ul.menu { display:block !important; width:98.2% ; }
				</style>
			<?php endif;  ?>
			<![endif]-->
		<!--[if IE 7]>
			<link href="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/css/ie7only.css" rel="stylesheet" type="text/css" />
		<![endif]-->
		
		<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/javascript/hide.js"></script>
		<script type="text/javascript">
			var big ='<?php echo (int)$this->params->get('wrapperLarge');?>%';
			var small='<?php echo (int)$this->params->get('wrapperSmall'); ?>%';
			var altopen='<?php echo JText::_('TPL_ECSITE_ALTOPEN',true); ?>';
			var altclose='<?php echo JText::_('TPL_ECSITE_ALTCLOSE',true); ?>';
			var bildauf='<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/images/plus.png';
			var bildzu='<?php echo $this->baseurl ?>/templates/<?php echo $tmplName; ?>/images/minus.png';
			var rightopen='<?php echo JText::_('TPL_ECSITE_TEXTRIGHTOPEN',true); ?>';
			var rightclose='<?php echo JText::_('TPL_ECSITE_TEXTRIGHTCLOSE'); ?>';
			var fontSizeTitle='<?php echo JText::_('TPL_ECSITE_FONTSIZE'); ?>';
			var bigger='<?php echo JText::_('TPL_ECSITE_BIGGER'); ?>';
			var reset='<?php echo JText::_('TPL_ECSITE_RESET'); ?>';
			var smaller='<?php echo JText::_('TPL_ECSITE_SMALLER'); ?>';
			var biggerTitle='<?php echo JText::_('TPL_ECSITE_INCREASE_SIZE'); ?>';
			var resetTitle='<?php echo JText::_('TPL_ECSITE_REVERT_STYLES_TO_DEFAULT'); ?>';
			var smallerTitle='<?php echo JText::_('TPL_ECSITE_DECREASE_SIZE'); ?>';
		</script>
</head>



<jdoc:include type="modules" name="debug" />



<body>
<div id="all">
	<div id="back">



		<div id="header">
			<?php /* <div class="logoheader">
				<h1 id="logo">
					<?php if ($logo): ?>
						<img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($logo); ?>"  alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" />
					<?php endif;?>
					<?php if (!$logo ): ?>
						<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>
					<?php endif; ?>
					<span class="header1">
						<?php echo htmlspecialchars($templateparams->get('sitedescription'));?>
					</span>
				</h1>
			</div> */ ?><!-- end logoheader -->
			
			<ul class="skiplinks">
				<li><a href="#main" class="u2"><?php echo JText::_('TPL_ECSITE_SKIP_TO_CONTENT'); ?></a></li>
				<li><a href="#nav" class="u2"><?php echo JText::_('TPL_ECSITE_JUMP_TO_NAV'); ?></a></li>
				<?php if($showRightColumn ):?><li><a href="#additional" class="u2"><?php echo JText::_('TPL_ECSITE_JUMP_TO_INFO'); ?></a></li><?php endif; ?>
			</ul>
			<h2 class="unseen"><?php echo JText::_('TPL_ECSITE_NAV_VIEW_SEARCH'); ?></h2>
			<h3 class="unseen"><?php echo JText::_('TPL_ECSITE_NAVIGATION'); ?></h3>
			<jdoc:include type="modules" name="top" />
			
			<div id="line">
				<div id="fontsize"></div>
				<h3 class="unseen"><?php echo JText::_('TPL_ECSITE_SEARCH'); ?></h3>
				<jdoc:include type="modules" name="search" />
			</div><!-- end line -->			
		</div><!-- end header -->
		


		<div id="menu">
			<jdoc:include type="modules" name="menu" />		
		</div>


                        
		<div id="<?php echo $showRightColumn ? 'contentarea2' : 'contentarea'; ?>">
		
			<div id="breadcrumbs"><jdoc:include type="modules" name="breadcrumbs" /></div>
			
			<?php if ($navposition=='left' AND $showleft) : ?> <div class="left1 <?php if ($showRightColumn==NULL){ echo 'leftbigger';} ?>" id="nav">
				<jdoc:include type="modules" name="left1" style="ecsiteHide" headerLevel="3" state="1"/>
				<jdoc:include type="modules" name="left2" style="ecsiteHide" headerLevel="3" state="1" />
				<jdoc:include type="modules" name="left3" style="ecsiteTabs" headerLevel="3"  id="3" />
			</div><!-- end navi --><?php endif; ?>
		
			<div id="<?php echo $showRightColumn ? 'wrapper' : 'wrapper2'; ?>" <?php if (isset($showno)){echo 'class="shownocolumns"';}?>>
				<div id="main">
				
					<?php if ($this->countModules('center1') || $this->countModules('center2')): ?>
					<div id="top">
						<table width="100%"><tr>
							<td width="50%"><jdoc:include type="modules" name="center1" style="ecsiteDivision" /></td>
							<td width="50%"><jdoc:include type="modules" name="center2" style="ecsiteDivision" /></td>
						</tr></table>
					</div><?php endif; ?>
					<jdoc:include type="message" />		
					<jdoc:include type="component" />
				</div><!-- end main -->
			</div><!-- end wrapper -->
		
			<?php if ($showRightColumn) : ?><h2 class="unseen"><?php echo JText::_('TPL_ECSITE_ADDITIONAL_INFORMATION'); ?></h2>
				<div id="close">
					<a href="#" onclick="auf('right')"><span id="bild"><?php echo JText::_('TPL_ECSITE_TEXTRIGHTCLOSE'); ?></span></a>
				</div>
				<div id="right" class="left1">
					<a id="additional"></a>
					<jdoc:include type="modules" name="right1" style="ecsiteHide" headerLevel="3" state="1" />
					<jdoc:include type="modules" name="right2" style="ecsiteHide" headerLevel="3"  state="1" />
					<jdoc:include type="modules" name="right3" style="ecsiteHide" headerLevel="3"  state="1" />
				</div><!-- end right -->
			<?php endif; ?>
		
			<?php if ($navposition=='center' AND $showleft) : ?>
				<div class="left <?php if ($showRightColumn==NULL){ echo 'leftbigger';} ?>" id="nav" >
					<jdoc:include type="modules" name="left1"  style="ecsiteDivision" headerLevel="3" />
					<jdoc:include type="modules" name="left2" style="ecsiteHide" headerLevel="3" state="0 " />
					<jdoc:include type="modules" name="left3" style="ecsiteTabs" headerLevel="2"  id="3" />
				</div><!-- end navi -->
			<?php endif; ?>
		
			<div class="wrap"></div>
		</div> <!-- end contentarea -->
	</div><!-- back -->
</div><!-- all -->


<div id="footer-outer">
	<?php if ($showbottom) : ?><div id="footer-inner">
		<div id="bottom">
			<div class="box box1"> <jdoc:include type="modules" name="bottom1" style="ecsiteDivision" headerlevel="3" /></div>
			<div class="box box2"> <jdoc:include type="modules" name="bottom2" style="ecsiteDivision" headerlevel="3" /></div>
			<div class="box box3"> <jdoc:include type="modules" name="bottom3" style="ecsiteDivision" headerlevel="3" /></div>
		</div>
	</div><?php endif ; ?>
	<div id="banner">
					<jdoc:include type="modules" name="banner" />
	</div>
	<div id="footer-sub">
		<div id="footer">
			<jdoc:include type="modules" name="footer" />
		</div><!-- end footer -->
	</div>
</div>
</body>
</html>